{% extends 'base.html.twig' %}

{% block title %}Autheur index{% endblock %}

{% block body %}
    <style>
        img{
            max-width: 100px;
            max-height: 100px;
            width: 100px;
            height: 100px;
        }
        th,td{
            text-align: center
        }
    </style>
    <h1>Autheur index</h1>
    <div class="table-wrapper">
    <div class="table-scroll">
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nom</th>
                <th>Prenom</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for autheur in autheurs %}
            <tr>
                <td>{{ autheur.id }}</td>
                <td>{{ autheur.Nom }}</td>
                <td>{{ autheur.Prenom }}</td>
                
                <td>
                    <a class="btn btn-info" href="{{ path('app_autheur_show', {'id': autheur.id}) }}">show</a>
                    <a class="btn btn-warning" href="{{ path('app_autheur_edit', {'id': autheur.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </div>
    </div>

    <a class="btn btn-primary" href="{{ path('app_autheur_new') }}">Create new</a>

    <script>
      $(document).ready(function () {
          $('.table').DataTable(
              {
                  "language": {
                      "sProcessing": "Traitement en cours...",
                      "sLengthMenu": "Afficher _MENU_ lignes",
                      "sZeroRecords": "Aucun résultat trouvé",
                      "sEmptyTable": "Aucune donnée disponible dans cette table",
                      "sInfo": "Afficher les lignes de _START_ à _END_ sur un total de _TOTAL_ lignes",
                      "sInfoEmpty": "Afficher les lignes de 0 à 0 sur un total de 0 lignes",
                      "sInfoFiltered": "(a filtré un total de _MAX_ lignes)",
                      "sInfoPostFix": "",
                      "sSearch": "Rechercher :",
                      "url": "",
                      "sInfoThousands": ",",
                      "sLoadingRecords": "Chargement...",
                      "oPaginer": {
                          "sFirst": "Premier",
                          "sLast": "Dernier",
                          "sNext": "Suivant",
                          "sPrevious": "Précédent"
                      },
                      "oAria": {
                          "sSortAscending": ": Trier par ordre croissant",
                          "sSortDescending": ": Trier par ordre décroissant"
                      }
                  }
              }
          );
      });

      function redirect_inviter() {
          window.location.href = "/secret/inviter";
      }
    </script>
{% endblock %}
